Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.ftp
Class FTPSTrustManager

    java.lang.Object
      org.apache.commons.net.ftp.FTPSTrustManager

All Implemented Interfaces:
  TrustManager, X509TrustManager

Deprecated. 3.0 use `TrustManagerUtils#getValidateServerCertificateTrustManager()` instead

    @Deprecated
    public class FTPSTrustManager

extends Object
implements X509TrustManager

Do not use.

Since:
  2.0

Constructor Summary
`FTPSTrustManager()` Deprecated.

Method Summary
`void` | `checkClientTrusted(X509Certificate[] certificates, String authType)` Deprecated. No-op
`void` | `checkServerTrusted(X509Certificate[] certificates, String authType)` Deprecated.
`X509Certificate[]` | `getAcceptedIssuers()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FTPSTrustManager

    public FTPSTrustManager()

  Deprecated.

Method Detail

### checkClientTrusted

    public void checkClientTrusted(X509Certificate[] certificates,
                                   String authType)

  Deprecated.
  No-op

  Specified by:
    `checkClientTrusted` in interface `X509TrustManager`

### checkServerTrusted

    public void checkServerTrusted(X509Certificate[] certificates,
                                   String authType)
                            throws CertificateException

  Deprecated.
  Specified by:
    `checkServerTrusted` in interface `X509TrustManager`
  Throws:
    `CertificateException`

### getAcceptedIssuers

    public X509Certificate[] getAcceptedIssuers()

  Deprecated.
  Specified by:
    `getAcceptedIssuers` in interface `X509TrustManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.